PM_UNREGISTER_ALL(9)

NAME
pm_unregister_all - unregister all devices with matching callback

SYNOPSIS

void pm_unregister_all (pm_callback callback);

ARGUMENTS

callback
    callback function pointer

DESCRIPTION

Unregister every device that would call the callback passed. This is primarily meant as a helper function for loadable modules. It enables a module to give up all its managed devices without keeping its own private list.